# FairMQ: fair::mq::zmq::UnmanagedRegion Class Reference

fair::mq::zmq::UnmanagedRegion Class Referencefinal
Inheritance diagram for fair::mq::zmq::UnmanagedRegion:
[legend]
Collaboration diagram for fair::mq::zmq::UnmanagedRegion:
[legend]

## Public Member Functions

| UnmanagedRegion (Context &ctx, size_t size, int64_t userFlags, RegionCallback callback, RegionBulkCallback bulkCallback, FairMQTransportFactory *factory=nullptr)
| UnmanagedRegion (const UnmanagedRegion &)=delete
UnmanagedRegion | operator= (const UnmanagedRegion &)=delete
virtual void * | GetData () const override
virtual size_t | GetSize () const override
uint16_t | GetId () const override
int64_t | GetUserFlags () const
void | SetLinger (uint32_t) override
uint32_t | GetLinger () const override
Public Member Functions inherited from FairMQUnmanagedRegion
| FairMQUnmanagedRegion (FairMQTransportFactory *factory)
FairMQTransportFactory * | GetTransport ()
void | SetTransport (FairMQTransportFactory *transport)

## Friends

class | Socket
class | Message

The documentation for this class was generated from the following file:

- fairmq/zeromq/UnmanagedRegion.h

privacy